package com.vendor.loader.ui;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.loader.ui.ControlFactory;
import org.eclipse.swt.custom.CCombo;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

public class ComboField {
  private String labelText;
  
  private Label label;
  
  private int labelWidth;
  
  private String[] options;
  
  private CCombo combo;
  
  public ComboField(Composite parent, String labelText, int labelWidth, String[] options) {
    this.labelText = labelText;
    this.labelWidth = labelWidth;
    this.options = (String[])options.clone();
    createControl(parent);
  }
  
  protected void createControl(Composite parent) {
    this.label = ControlFactory.createLabel(parent, this.labelText);
    GridData gd = new GridData();
    gd.widthHint = this.labelWidth;
    this.label.setLayoutData(gd);
    this.combo = ControlFactory.createSelectCCombo(parent, this.options, null, 2060);
  }
  
  public CCombo getCombo() {
    return this.combo;
  }
}
